    function 计算类库(name,event){   
        //name表示组件在被创建时的名称，event表示组件拥有的事件
        //如果组件有多个事件，可以在后面继续填写这些事件名称
        //例如：function 数学运算(name,event1,event2,event3){
        
        //组件内部属性，仅供组件内部使用：
        this.名称 = name;
        //组件命令：
        this.求正弦 = function (x){
			return Math.sin(x*Math.PI/180);
		}
		this.求余弦 = function (x){
			return Math.cos(x*Math.PI/180);
		}
		this.求正切 = function (x){
			return Math.tan(x*Math.PI/180);
		}
	
		this.反正弦 = function (x){
			return Math.asin(x)/Math.PI*180;
		}	
		this.反余弦 = function (x){
			return Math.acos(x)/Math.PI*180;
		}	
		this.反正切 = function (x){
			return Math.atan(x)/Math.PI*180;
		}
		this.圆周率 = function (x){
			return Math.PI;
		}
         this.求平方根 = function (x){
			return Math.sqrt(x);
		}
          this.求次幂 = function (x,y){
			return Math.pow(x,y);
		}
          this.四舍五入 = function (x){
			return Math.round(x);
		}
         this.取随机数 = function (x){
			return Math.random();
		}
        this.取自然对数 = function (x){
			return Math.log(x);
		}
		 this.取自然指数 = function (x){
			return Math.exp(x);
		}
		
		 this.取对数 = function (x){
			return Math.log(x)/Math.log(10);
		}
		this.取任意底对数 = function (x,y){
			return Math.log(y)/Math.log(x);
		}
		 this.取e = function (x){
			return Math.E;
		}
			
		this.求GPS距离 = function (lon1,lat1,lon2,lat2) {
			var R = 6371.004; //地球半径
			lon1=lon1/180*Math.PI;
			lat1=lat1/180*Math.PI;
			lon2=lon2/180*Math.PI;
			lat2=lat2/180*Math.PI;
			var distance =  Math.acos(Math.sin(lat1)*Math.sin(lat2)+Math.cos(lat1)*Math.cos(lat2)*Math.cos(lon2-lon1))*R; //计算两点距离
			if (distance>=1) {
				return distance.toFixed(1)+'千米';
			} else if (distance<1) {
				return (distance*1000).toFixed(0)+'米'
			}		
		}
    }